#!/usr/bin/env node
const { execFileSync } = require('child_process');
const  path  = require('path');

const isWin = (process.platform === 'win32');

const bundlejs = 'src/app/bundle.js'
const bundlets = 'src/app/bundle.d.ts'

const npm = isWin ? 'npm.cmd' : 'npm';


var args = process.argv.slice(2).map(function(x) {
  return path.normalize(x);
});


var pbjs_args = [
  '-t', 'static-module', '-w', 'commonjs', '-o', bundlejs
].concat(args);

console.log("Running pbjs " + pbjs_args.join(" "));
var out = execFileSync(npm, ['run', 'pbjs', '--'].concat(pbjs_args));
console.log("" + out);

var pbts_args = [
  '-o', bundlets, bundlejs
];

console.log("Running pbts " + pbts_args.join(" "));
out = execFileSync(npm, ['run', 'pbts', '--'].concat(pbts_args));
console.log("" + out);
